package de.arvato.systems.nmvs.example.v3;

import de.arvato.systems.nmvs.example.AbstractExample;
import de.arvato.systems.nmvs.example.Main;

/**
 * Holds references to the v3 interface example implementations.
 */
public class MainV3 extends Main {

    private AbstractExample<?>[] wsExamples = { //
            new WsSinglePackExample(), //
            new WsBulkExample(), //
            new WsMixedBulk(), //
            new WsMasterDataExample(), //
            new WsPkiExample(), //
            new WsSupportExample() //
    };

    public void invoke() {
        this.invoke(wsExamples);
    }

}
